import { OnInit, ChangeDetectorRef, ElementRef } from "@angular/core";
import { PageSettingsModel, GridComponent, QueryCellInfoEventArgs, FilterSettingsModel, ExcelQueryCellInfoEventArgs, ColumnChooserSettingsModel, PagerComponent } from "@syncfusion/ej2-angular-grids";
import { DashboardPorletsService } from "../../dashboardPorlets.service";
import { ApiList } from "../../api";
import { DashboardService } from "../../dashboard.service";
export declare class GadgetTableComponent implements OnInit {
    dashboardPorletsService: DashboardPorletsService;
    private api;
    private ref;
    private dashboardService;
    private el;
    private pbf;
    private http;
    portlet: any;
    dashboard: any;
    portlets: any;
    grid: GridComponent;
    pager: PagerComponent;
    private config;
    translation: any;
    private userInfo;
    private datePipeFormat;
    filterSettings: FilterSettingsModel;
    filter: Object;
    data: any;
    tableList: any;
    private tableList_footer;
    private formatSettings;
    private toolbarOptions;
    options: PageSettingsModel;
    aggregates: object;
    private subscriptions;
    private configFields;
    private quarterFormat;
    private formatDates;
    ColumnChooserSettings: ColumnChooserSettingsModel;
    millionFields: any[];
    currentPage: number;
    pageSize: number;
    totalRecordsCount: any;
    filterContents: any;
    sort: any;
    sortedColumn: any;
    pageLoading: any;
    currentFilterField: any;
    allFields: any;
    hideTable: boolean;
    constructor(dashboardPorletsService: DashboardPorletsService, api: ApiList, ref: ChangeDetectorRef, dashboardService: DashboardService, el: ElementRef, pbf: any, http: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    customiseCell(args: QueryCellInfoEventArgs): void;
    private cellAddStyle;
    private getTableData;
    getFormatOptions(colName: any): any;
    private getInfo;
    actionComplete(args: any): void;
    actionBegin(args: any): void;
    resizeStop(args: any): void;
    rowDataBound(args: any): void;
    created(args: any): void;
    exportQueryCellInfo(args: ExcelQueryCellInfoEventArgs): void;
    private cellAddStyleExcel;
    getLogoInfo(colName: any, code: any): any;
    getLogoImage(logoDocId: any): any;
    private setQuarterFormat;
    private getDateFormat;
    private getNumFormat;
    private millionData;
    getAlign(table: any): any;
    pageChanged(args: any): void;
    reloadTableData(setting?: any, refreshFormat?: any): void;
    getXTxt(colName: any, item: any): string;
}
